Package: grails.web.mime

## [Groovy] Interface MimeTypeResolver

-     interface MimeTypeResolver

  Resolves the response format

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `BEAN_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract MimeType` | `resolveRequestMimeType()` Returns: The request format sent by the client
    `` | `abstract MimeType` | `resolveRequestMimeType(GrailsWebRequest request)` Returns: The request format sent by the client
    `` | `abstract MimeType` | `resolveResponseMimeType()` Returns: The response format requested by the client
    `` | `abstract MimeType` | `resolveResponseMimeType(GrailsWebRequest request)` Returns: The response format requested by the client

- - ### Field Detail

    - #### public static final java.lang.String BEAN_NAME

  - ### Method Detail

    - #### abstract MimeType resolveRequestMimeType()

      Returns:
        The request format sent by the client

    - #### abstract MimeType resolveRequestMimeType(GrailsWebRequest request)

      Returns:
        The request format sent by the client

    - #### abstract MimeType resolveResponseMimeType()

      Returns:
        The response format requested by the client

    - #### abstract MimeType resolveResponseMimeType(GrailsWebRequest request)

      Returns:
        The response format requested by the client